Groovy Documentation

## org.codehaus.groovy.transform
[Java] Annotation Type GroovyASTTransformationClass

    java.lang.Object
      org.codehaus.groovy.transform.GroovyASTTransformationClass

    @Retention(RetentionPolicy.RUNTIME)
    // in the future the target will be wider than annotations, but for now it is just on annotations
    @Target(ElementType.ANNOTATION_TYPE)
    public @interface GroovyASTTransformationClass {
    public @interface GroovyASTTransformationClass

This is an annotation on some item that indicates that an associated transform classes should be executed. As of Groovy 1.6 the only valid target is the annotation type. Each of the class names in the value must be annotated with GroovyASTTransformation. It is a compile time error to specify a GroovyASTTransformationClass that is not accessible at compile time. It need not be available at runtime.

Authors:
  Danno Ferrin (shemnon)
  Roshan Dawrani (roshandawrani)

Optional Element Summary
`java.lang.Class[]` | `classes` @default }
`java.lang.String[]` | `value` @default {}

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### classes

    public java.lang.Class[] classes

  Default:
    }

### value

    public java.lang.String[] value

  @default {}

Groovy Documentation